const express = require('express');
const router = express.Router();

const upload = require('../config/multer');
const controller = require('../controller/s3controller');

// endpoint - http://localhost:3001/api/upload
// 'file' is the name of our file input field in the form
router.post('/api/upload', upload.single('file'), controller.upload);

module.exports = router;
